﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing Configuration Files</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Configuration Files</h1>
        <p>You can manage the <label class="filename-path">AuthenticationConfig.groovy</label> and <label class="filename-path">externalconfig.properties</label> configuration files in Saviynt Identity Governance and Administration (IGA) via the <b>Configuration Files</b> page.</p>
        <h1 id="ManagingConfigurationFiles-ManagingtheAuthenticationConfig.groovyFile">Managing the AuthenticationConfig.groovy File</h1>
        <p>You can create, upload, edit, download, and revert the <label class="filename-path">AuthenticationConfig.groovy</label> file from the <b>Configuration Files</b> page.</p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li MadCap:conditions="Default.v55X">
                <p>Go to <strong>Admin &gt; Settings &gt; Configuration</strong>.</p>
                <p>The <strong>Configuration Files</strong> page is displayed.</p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>On the top right of the home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Admin</strong>.</p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>In the left pane, under <strong>Settings</strong>, click <strong>Configuration Files</strong>.<br />The <strong>Configuration Files</strong> page is displayed.</p>
                <p>
                    <img src="../Resources/Images/Configuration Files page.png" style="width: 1200px;height: 500px;border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
                </p>
            </li>
            <li>
                <p>Perform any required action listed in the following table:</p>
                <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                    <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Upload</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To upload the <label class="filename-path">AuthenticationConfig.groovy</label> file:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the <strong>Upload</strong> icon.<br />The <strong>File To Upload</strong> dialog box is displayed.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File</strong>&#160;box.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Select the file to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File</strong>&#160;box.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Click <strong>Submit</strong> to upload the configuration file to IGA.&#160;<br />The <strong>Service Restart</strong> dialog box is displayed.</p>
                                            </li>
                                        </ol>
                                    </li>
                                    <li>
                                        <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.<br /></p>
                                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                            <p class="note">If a file with the same name exists in IGA, the version number of the newly uploaded file is numerically incremented. For example, if the <label class="filename-path">AuthenticationConfig.groovy</label> file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                                        </div>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Download</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To download the <label class="filename-path">AuthenticationConfig.groovy</label> file to your local system:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the<label class="filename-path"> AuthenticationConfig.groovy</label> file which you want to download, and then click the <strong>Download </strong>icon.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">You can also download a particular version of the selected <label class="filename-path">AuthenticationConfig.groovy</label> file:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">From the dialog box, select the version number of the <label class="filename-path">AuthenticationConfig.groovy</label> file you want to download, and then click <strong>Download</strong></p>
                                            </li>
                                        </ol>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Edit</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To modify the <label class="filename-path">AuthenticationConfig.groovy</label> file:</p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">Caution must be exercised before updating the <br /><label class="filename-path">AuthenticationConfig.groovy file</label>, as the changes cannot be rolled back.</p>
                                </div>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the <label class="filename-path">AuthenticationConfig.groovy</label> file you want to modify and click the <strong>Edit </strong>icon.<br />The&#160;<strong>Create File</strong> dialog box is displayed.&#160;</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Perform the necessary changes and click <strong>Submit</strong>.<br />The <strong>Service Restart</strong> dialog box is displayed.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text"><strong>Revert</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">Using version control, you can keep a record of the changes made to the <label class="filename-path">AuthenticationConfig.groovy</label> file over time and revert to an older or newer version when needed.</p>
                                <p class="table-text">To revert an&#160;<label class="filename-path">AuthenticationConfig.groovy</label> file to another version:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the <label class="filename-path">AuthenticationConfig.groovy</label> file, and then click the <strong>Versions</strong> icon.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the dialog box, select the version number of the file to which you want to revert, and then click <strong>Revert</strong>.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
        </ol>
        <h1 id="ManagingConfigurationFiles-Managingtheexternalconfig.propertiesFile"><a name="MangConfigFiles-MangExternalConfigProperties"></a>Managing the externalconfig.properties File</h1>
        <p>You can create, upload, edit, download, and revert the <label class="filename-path">externalconfig.properties</label> file from the <b>Configuration Files</b> page.</p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li>
                <p>Click <strong>Admin &gt; Settings &gt; Configuration Files</strong>.<br />The <strong>Configuration Files</strong> page is displayed.</p>
            </li>
            <li>
                <p>Perform any required action listed in the following table:</p>
                <table style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" class="TableStyle-Default-Table" cellspacing="0">
                    <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                    <col style="width: 380px;" class="TableStyle-Default-Table-Column-Column1" />
                    <thead>
                        <tr class="TableStyle-Default-Table-Head-Header1">
                            <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Action</th>
                            <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Steps</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Upload</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To upload the <label class="filename-path">externalconfig.properties</label> file:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Click the <strong>Upload</strong> icon.<br />The <strong>File To Upload</strong> dialog box is displayed.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the <strong>File To Upload</strong> dialog box, do the following:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>File</strong>&#160;box.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Select the file to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the <strong>File</strong>&#160;box.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Click <strong>Submit</strong> to upload the configuration file to IGA.&#160;<br />The <strong>Service Restart</strong> dialog box is displayed.</p>
                                            </li>
                                        </ol>
                                    </li>
                                    <li>
                                        <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.<br /></p>
                                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                            <p class="note">If a file with the same name exists in IGA, the version number of the newly uploaded file is numerically incremented. For example, if the <label class="filename-path">externalconfig.properties</label> file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                                        </div>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p class="table-text"><strong>Download</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To download the <label class="filename-path">externalconfig.properties</label> file to your local system:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the <label class="filename-path">externalconfig.properties</label> file which you want to download, and then click the <strong>Download </strong>icon.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">You can also download a particular version of the selected <label class="filename-path">externalconfig.properties</label> file:</p>
                                        <ol style="list-style-type: lower-alpha;">
                                            <li>
                                                <p class="table-text">Click the <strong>Versions</strong> icon.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">From the dialog box, select the version number of the <label class="filename-path">externalconfig.properties</label> file you want to download, and then click <strong>Download</strong></p>
                                            </li>
                                        </ol>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                <p><strong>Edit</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                <p class="table-text">To modify the <label class="filename-path">externalconfig.properties</label> file:<br /></p>
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">Caution must be exercised before updating the <label class="filename-path">externalconfig.properties</label> file, as the changes cannot be rolled back.</p>
                                </div>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the <label class="filename-path">externalconfig.properties</label> file you want to modify and click the <strong>Edit </strong>icon.<br />The&#160;<strong>Create File</strong> dialog box is displayed.&#160;</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Perform the necessary changes and click <strong>Submit</strong>.<br />The <strong>Service Restart</strong> dialog box is displayed.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                        <tr class="TableStyle-Default-Table-Body-Body1">
                            <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                <p class="table-text"><strong>Revert</strong>
                                </p>
                            </td>
                            <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                <p class="table-text">Using version control, you can keep a record of the changes made to the <label class="filename-path">externalconfig.properties</label> file over time and revert to an older or newer version when needed.</p>
                                <p class="table-text">To revert an<label class="filename-path">&#160;externalconfig.properties</label> file to another version:</p>
                                <ol>
                                    <li>
                                        <p class="table-text">Select the <label class="filename-path">externalconfig.properties</label> file, and then click the <strong>Versions</strong> icon.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">In the dialog box, select the version number of the file to which you want to revert, and then click <strong>Revert</strong>.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Restart the service for the change to take effect. For more information, see <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Restarting-the-Services.htm">Restarting the Services</MadCap:xref>.</p>
                                    </li>
                                </ol>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </li>
        </ol>
    </body>
</html>